Subject: [TLS] [Errata Verified] RFC5246 (4109)

From: RFC Errata System <[email-masked]>
Date: Tue, 24 Mar 2015 10:46:52 -0700 (PDT)

The following errata report has been verified for RFC5246,
"The Transport Layer Security (TLS) Protocol Version 1.2". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5246&eid=4109

--------------------------------------
Status: Verified
Type: Technical

Reported by: Christopher Armstrong <[email-masked]>
Date Reported: 2014-09-11
Verified by: Stephen Farrell (IESG)

Section: A.4.2

Original Text
-------------
   opaque ASN.1Cert<2^24-1>;

Corrected Text
--------------
   opaque ASN.1Cert<1..2^24-1>;

Notes
-----
The appendix definition of ASN.1Cert leaves out the floor of the variable-length vector, which must be specified according to the vector syntax specification in section 4.3. Fortunately, the original definition of ASN.1Cert in section 7.4.2 does specify the floor as 1, so the definition in A.4.2 should be updated to match.

--------------------------------------
RFC5246 (draft-ietf-tls-rfc4346-bis-10)
--------------------------------------
Title               : The Transport Layer Security (TLS) Protocol Version 1.2
Publication Date    : August 2008
Author(s)           : T. Dierks, E. Rescorla
Category            : PROPOSED STANDARD
Source              : Transport Layer Security
Area                : Security
Stream              : IETF
Verifying Party     : IESG